| index

Package mip_quotation

Program units

ready_for_quote | Determines whether the given enquiry is ready to quote for i.e.
ready_for_quote | Determines whether the given enquiry is ready to quote for i.e.
produce_quotes | Generate quotes in response to a 'request for quote' against an enquiry
return_mandatory_messages |
make_quote_available | Make quote available
accept_quote | Accept a quote
reject_quote | Reject a quote
reject_all_quotes | Reject all quotes associated with enquiry
select_quote | Select a quote for detailed quotation
lapse_quote | Lapse a quote
lapse_quotes_job |

ready_for_quote

    FUNCTION ready_for_quote(p_enqu_id IN enquiries.id%TYPE) RETURN BOOLEAN

Determines whether the given enquiry is ready to quote for i.e. have all the mandatory fields been completed

Parameters

| p_enqu_id | the id of the enquiry to be checked

Returns

| TRUE if the enquiry can be quoted for

ready_for_quote

    PROCEDURE ready_for_quote(p_enqu_id          IN enquiries.id%TYPE
                             ,p_mandatory_checks OUT mip_mandatory.t_mandatory_checks
                             ,p_enquiry_is_ready OUT BOOLEAN)

Determines whether the given enquiry is ready to quote for i.e. have all the mandatory fields been completed
%p_mandatory_checks contains reasons for the enquiry *not* being ready to quote for
%p_quote_is_ready TRUE if the enquiry can be quoted for

Parameters

| p_enqu_id | the id of the enquiry to be checked

produce_quotes

    PROCEDURE produce_quotes(p_enqu_id       IN enquiries.id%TYPE
                            ,p_rfq_prty_id   IN parties.id%TYPE
                            ,p_owner_prty_id IN parties.id%TYPE DEFAULT NULL)

Generate quotes in response to a 'request for quote' against an enquiry

Parameters

| p_enqu_id | the id of the enquiry to be checked
| p_prty_id | the id of the party that requested the quotes
| p_owner_prty_id | the id of party that owns the quotes (defaults to the requestor)

return_mandatory_messages

    FUNCTION return_mandatory_messages(p_enqu_id IN enquiries.id%TYPE)
      RETURN VARCHAR2

make_quote_available

    PROCEDURE make_quote_available(p_qute_id IN quotes.id%TYPE)

Make quote available

Parameters

| p_qute_id | id of the quote to be marked as available

accept_quote

    PROCEDURE accept_quote(p_qute_id     IN quotes.id%TYPE
                          ,p_description quote_events.description%TYPE DEFAULT NULL
                          ,p_event_date  IN DATE DEFAULT SYSDATE)

Accept a quote

Parameters

| p_qute_id | id of the quote to be accepted
| p_description | optional description to be recorded with the event
| p_event_date | optional date for this event (defaults to now)

reject_quote

    PROCEDURE reject_quote(p_qute_id     IN quotes.id%TYPE
                          ,p_description quote_events.description%TYPE DEFAULT NULL
                          ,p_event_date  IN DATE DEFAULT SYSDATE)

Reject a quote

Parameters

| p_qute_id | id of the quote to be rejected
| p_description | optional description to be recorded with the event
| p_event_date | optional date for this event (defaults to now)

reject_all_quotes

    PROCEDURE reject_all_quotes(p_enqu_id     IN enquiries.id%TYPE
                               ,p_description quote_events.description%TYPE DEFAULT NULL
                               ,p_event_date  IN DATE DEFAULT SYSDATE)

Reject all quotes associated with enquiry

Parameters

| p_enqu_id | id of the enquiry for qhich all quotes are to be rejected
| p_description | optional description to be recorded with the event
| p_event_date | optional date for this event (defaults to now)

select_quote

    PROCEDURE select_quote(p_qute_id     IN quotes.id%TYPE
                          ,p_description quote_events.description%TYPE DEFAULT NULL
                          ,p_event_date  IN DATE DEFAULT SYSDATE)

Select a quote for detailed quotation

Parameters

| p_qute_id | id of the quote to be selected
| p_description | optional description to be recorded with the event
| p_event_date | optional date for this event (defaults to now)

lapse_quote

    PROCEDURE lapse_quote(p_qute_id     IN quotes.id%TYPE
                         ,p_description quote_events.description%TYPE DEFAULT NULL
                         ,p_event_date  IN DATE DEFAULT SYSDATE)

Lapse a quote

Parameters

| p_qute_id | id of the quote to be selected
| p_description | optional description to be recorded with the event
| p_event_date | optional date for this event (defaults to now)

lapse_quotes_job

    PROCEDURE lapse_quotes_job